<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: cobs/cobs_decode.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_6fbc84a0760eaea03445dd1babf55b48.html">cobs</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">cobs_decode.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="cobs__decode_8h_source.html">cobs_decode.h</a>&quot;</code><br />
<code>#include &lt;assert.h&gt;</code><br />
<code>#include &lt;stdbool.h&gt;</code><br />
<code>#include &lt;stddef.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for cobs_decode.c:</div>
<div class="dyncontent">
<div class="center"><img src="cobs__decode_8c__incl.png" border="0" usemap="#cobs_2cobs__decode_8c" alt=""/></div>
<map name="cobs_2cobs__decode_8c" id="cobs_2cobs__decode_8c">
<area shape="rect" id="node2" href="cobs__decode_8h.html" title="cobs_decode.h" alt="" coords="81,80,191,107"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a981862ddf5a4346648e0b7ac6625172b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cobs__decode_8c.html#a981862ddf5a4346648e0b7ac6625172b">cobs_decode_init</a> (<a class="el" href="cobs__decode_8h.html#a6e4e5ba312d480c16b6ed893aeb7e180">cobs_decode_t</a> *cobs, uint8_t *data, uint_fast32_t length)</td></tr>
<tr class="separator:a981862ddf5a4346648e0b7ac6625172b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05fa3b7000e092a8ebaf4a777371bc71"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cobs__decode_8c.html#a05fa3b7000e092a8ebaf4a777371bc71">is_end</a> (<a class="el" href="cobs__decode_8h.html#a6e4e5ba312d480c16b6ed893aeb7e180">cobs_decode_t</a> *cobs)</td></tr>
<tr class="separator:a05fa3b7000e092a8ebaf4a777371bc71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e0d26dd26790c9500896acbe954346d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cobs__decode_8c.html#a1e0d26dd26790c9500896acbe954346d">is_overhead_byte</a> (<a class="el" href="cobs__decode_8h.html#a6e4e5ba312d480c16b6ed893aeb7e180">cobs_decode_t</a> *cobs)</td></tr>
<tr class="separator:a1e0d26dd26790c9500896acbe954346d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a435fce8265742fc66e1e649e3cd8136d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cobs__decode_8c.html#a435fce8265742fc66e1e649e3cd8136d">is_stuffed_byte</a> (<a class="el" href="cobs__decode_8h.html#a6e4e5ba312d480c16b6ed893aeb7e180">cobs_decode_t</a> *cobs)</td></tr>
<tr class="separator:a435fce8265742fc66e1e649e3cd8136d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20ca2414fb48b4770aa674035ba42e83"><td class="memItemLeft" align="right" valign="top">int_fast16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="cobs__decode_8c.html#a20ca2414fb48b4770aa674035ba42e83">cobs_decode_get_next</a> (<a class="el" href="cobs__decode_8h.html#a6e4e5ba312d480c16b6ed893aeb7e180">cobs_decode_t</a> *cobs)</td></tr>
<tr class="separator:a20ca2414fb48b4770aa674035ba42e83"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a20ca2414fb48b4770aa674035ba42e83"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20ca2414fb48b4770aa674035ba42e83">&#9670;&nbsp;</a></span>cobs_decode_get_next()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int_fast16_t cobs_decode_get_next </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="cobs__decode_8h.html#a6e4e5ba312d480c16b6ed893aeb7e180">cobs_decode_t</a> *&#160;</td>
          <td class="paramname"><em>cobs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a981862ddf5a4346648e0b7ac6625172b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a981862ddf5a4346648e0b7ac6625172b">&#9670;&nbsp;</a></span>cobs_decode_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void cobs_decode_init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="cobs__decode_8h.html#a6e4e5ba312d480c16b6ed893aeb7e180">cobs_decode_t</a> *&#160;</td>
          <td class="paramname"><em>cobs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint_fast32_t&#160;</td>
          <td class="paramname"><em>length</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a05fa3b7000e092a8ebaf4a777371bc71"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05fa3b7000e092a8ebaf4a777371bc71">&#9670;&nbsp;</a></span>is_end()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool is_end </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="cobs__decode_8h.html#a6e4e5ba312d480c16b6ed893aeb7e180">cobs_decode_t</a> *&#160;</td>
          <td class="paramname"><em>cobs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1e0d26dd26790c9500896acbe954346d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e0d26dd26790c9500896acbe954346d">&#9670;&nbsp;</a></span>is_overhead_byte()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool is_overhead_byte </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="cobs__decode_8h.html#a6e4e5ba312d480c16b6ed893aeb7e180">cobs_decode_t</a> *&#160;</td>
          <td class="paramname"><em>cobs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a435fce8265742fc66e1e649e3cd8136d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a435fce8265742fc66e1e649e3cd8136d">&#9670;&nbsp;</a></span>is_stuffed_byte()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool is_stuffed_byte </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="cobs__decode_8h.html#a6e4e5ba312d480c16b6ed893aeb7e180">cobs_decode_t</a> *&#160;</td>
          <td class="paramname"><em>cobs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
